Loading...
Searching...
No Matches
pcl::octree::OctreeContainerEmpty Class Reference

Octree container class that does not store any information. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerEmpty:

## Public Member Functions

virtual OctreeContainerEmpty * | deepCopy () const
| Octree deep copy method.
uindex_t | getSize () const override
| Abstract get size of container (number of DataT objects).
void | reset () override
| Abstract reset leaf node implementation.
void | addPointIndex (index_t) override
| Empty addPointIndex implementation.
index_t | getPointIndex () const override
| Empty getPointIndex implementation as this leaf node does not store any point indices.
void | getPointIndices (Indices &) const override
| Empty getPointIndices implementation as this leaf node does not store any data.
Public Member Functions inherited from pcl::octree::OctreeContainerBase
virtual | ~OctreeContainerBase ()=default
virtual bool | operator== (const OctreeContainerBase &) const
| Equal comparison operator.
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator.
void | getPointIndex (index_t &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices.

## Detailed Description

Octree container class that does not store any information.

Note
  Can be used for occupancy trees that are used for checking only the existence of leaf nodes in the tree

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 129 of file octree_container.h.

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreeContainerEmpty::addPointIndex | ( | index_t |  | ) |

inline override virtual

Empty addPointIndex implementation.

This leaf node does not store any point indices.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 156 of file octree_container.h.

## deepCopy()

virtual OctreeContainerEmpty * pcl::octree::OctreeContainerEmpty::deepCopy | ( |  | ) | const

inline virtual

Octree deep copy method.

Definition at line 133 of file octree_container.h.

## getPointIndex()

index_t pcl::octree::OctreeContainerEmpty::getPointIndex | ( |  | ) | const

inline override virtual

Empty getPointIndex implementation as this leaf node does not store any point indices.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 163 of file octree_container.h.

## getPointIndices()

void pcl::octree::OctreeContainerEmpty::getPointIndices | ( | Indices & |  | ) | const

inline override virtual

Empty getPointIndices implementation as this leaf node does not store any data.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 174 of file octree_container.h.

## getSize()

uindex_t pcl::octree::OctreeContainerEmpty::getSize | ( |  | ) | const

inline override virtual

Abstract get size of container (number of DataT objects).

Returns
  number of DataT elements in leaf node container.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 142 of file octree_container.h.

## reset()

void pcl::octree::OctreeContainerEmpty::reset | ( |  | ) |

inline override virtual

Abstract reset leaf node implementation.

Implements pcl::octree::OctreeContainerBase.

Definition at line 149 of file octree_container.h.

The documentation for this class was generated from the following file:

- pcl/octree/octree_container.h